| Flutter Impeller |

Public Member Functions | List of all members
impeller::BlitGenerateMipmapCommandMTL Struct Reference

`#include <blit_command_mtl.h>`

Inheritance diagram for impeller::BlitGenerateMipmapCommandMTL:

## Public Member Functions
| ~BlitGenerateMipmapCommandMTL () override
std::string | GetLabel () const override
bool | Encode (id< MTLBlitCommandEncoder > encoder) const override
Public Member Functions inherited from impeller::BlitEncodeMTL
virtual | ~BlitEncodeMTL ()

## Additional Inherited Members
Static Public Member Functions inherited from impeller::BackendCast< BlitEncodeMTL, BlitCommand >
static BlitEncodeMTL & | Cast (BlitCommand &base)
static const BlitEncodeMTL & | Cast (const BlitCommand &base)
static BlitEncodeMTL * | Cast (BlitCommand *base)
static const BlitEncodeMTL * | Cast (const BlitCommand *base)
Public Attributes inherited from impeller::BlitGenerateMipmapCommand
std::shared_ptr< Texture > | texture
Public Attributes inherited from impeller::BlitCommand
std::string | label

## Detailed Description

Definition at line 45 of file blit_command_mtl.h.

## Constructor & Destructor Documentation

## ◆ ~BlitGenerateMipmapCommandMTL()

impeller::BlitGenerateMipmapCommandMTL::~BlitGenerateMipmapCommandMTL | ( |  | ) |
| override default

## Member Function Documentation

## ◆ Encode()

bool impeller::BlitGenerateMipmapCommandMTL::Encode | ( | id< MTLBlitCommandEncoder > | encoder | ) | const
| override virtual

Implements impeller::BlitEncodeMTL.

Definition at line 148 of file blit_command_mtl.mm.

149 {
150 return TextureMTL::Cast(*texture).GenerateMipmap(encoder);
151 };

References impeller::BackendCast< TextureMTL, Texture >::Cast(), and impeller::TextureMTL::GenerateMipmap().

## ◆ GetLabel()

std::string impeller::BlitGenerateMipmapCommandMTL::GetLabel | ( |  | ) | const
| override virtual

Implements impeller::BlitEncodeMTL.

Definition at line 144 of file blit_command_mtl.mm.

144 {
145 return label;
146 }

References impeller::BlitCommand::label.

The documentation for this struct was generated from the following files:

- impeller/renderer/backend/metal/blit_command_mtl.h
- impeller/renderer/backend/metal/blit_command_mtl.mm

impeller::TextureMTL::GenerateMipmap
bool GenerateMipmap(id< MTLBlitCommandEncoder > encoder)
Definition: texture_mtl.mm:132
impeller::BlitCommand::label
std::string label
Definition: blit_command.h:15
impeller::BackendCast< TextureMTL, Texture >::Cast
static TextureMTL & Cast(Texture &base)
Definition: backend_cast.h:13